# 2.4.3. Commands in ‘envelope’ mode

The following commands are available in envelope mode:

attach

  attach files to the mail

  argument

    file(s) to attach (accepts wildcards)

detach

  remove attachments from current envelope

  argument

    name of the attachment to remove (accepts wildcards)

display

  change which body alternative to display

  argument

    part to show

edit

  edit mail

  optional arguments
    —spawn:

      spawn editor in new terminal

    —refocus:

      refocus envelope after editing (defaults to: ‘True’)

    —part:

      which alternative to edit (“html” or “plaintext”); valid choices are: ‘html’,’plaintext’

encrypt

  request encryption of message before sendout

  argument

    keyid of the key to encrypt with

  optional arguments
    —trusted:

      only add trusted keys

html2txt

  convert html to plaintext alternative

  argument

    converter command to use

refine

  prompt to change the value of a header

  argument

    header to refine

removehtml

  remove HTML alternative from the envelope

retag

  set message tags

  argument

    comma separated list of tags

rmencrypt

  do not encrypt to given recipient key

  argument

    keyid of the key to encrypt with

save

  save draft

send

  send mail

set

  set header value

  positional arguments

    0: header to refine 1: value

  optional arguments
    —append:

      keep previous values

sign

  mark mail to be signed before sending

  argument

    which key id to use

tag

  add tags to message

  argument

    comma separated list of tags

toggleencrypt

  toggle if message should be encrypted before sendout

  argument

    keyid of the key to encrypt with

  optional arguments
    —trusted:

      only add trusted keys

toggleheaders

  toggle display of all headers

togglesign

  toggle sign status

  argument

    which key id to use

toggletags

  flip presence of tags on message

  argument

    comma separated list of tags

txt2html

  convert plaintext to html alternative

  argument

    converter command to use

unencrypt

  remove request to encrypt message before sending

unset

  remove header field

  argument

    header to refine

unsign

  mark mail not to be signed before sending

untag

  remove tags from message

  argument

    comma separated list of tags